#pragma rtGlobals=3		// Use modern global access method and strict wave access.
--------------------------------------------

// Auto_Edit replaces spikes and NaNs with median values. It does not introduce any NaNs
	
	Function Auto_Edit( )
		SetDataFolder root:
			String/G G_Hole, G_Data, G_Technique
			Variable/G G_V1, G_V2
			String Folder, Hole = G_Hole, Data = G_Data, Site, S1, Technique = G_Technique
			Variable i = 0, v1 = G_V1, v2 = G_V2
			Prompt v1, "Remove Points Less Than:"
			Prompt v2, "Remove Points Greater Than:"
			Prompt Hole, "Hole:"
			Prompt Technique, "Technique:"
			Prompt Data, "Data Type:"
			DoPrompt "Auto_Edit", Hole, Data, Technique, V1, V2; AbortOnValue V_Flag, 0	
			PauseUpdate;
			G_Hole = Hole; G_Data = Data; G_Technique = Technique; G_V1 = V1; G_V2 = V2
			Print "Auto_Edit_F( \"" + Hole + "\", \"" + Data + "\", \"" + Technique + "\", " + Num2Str( V1 ) + ", " + Num2Str( V2 ) + " )"
			Auto_Edit_F( Hole, Data, Technique, V1, V2 )
	End
 
 	Function Auto_Edit_F( Hole, Data, Technique, V1, V2 )
			String Hole, Data, Technique
			Variable v1 , v2
		SetDataFolder root:
			String/G G_Hole = Hole, G_Data = Data, G_Technique = Technique
			String Folder, Site, S1
			Variable i = 0
			Site = RemoveEnding(Hole)
			Folder="root:"+Site+"_"+Technique
		SetDataFolder $Folder
			WAVE DataWv = $Hole + "_" + Technique + "_" + Data
			Duplicate/O DataWv, $Hole + "_" + Technique + "_" + Data + "_DeSpk"
			WAVE DataDeSpk = $Hole + "_" + Technique + "_" + Data + "_DeSpk"
			DataDeSpk = ( DataDeSpk > V1 ) &&  ( DataDeSpk < V2 ) ? DataDeSpk : NaN
			Note DataDeSpk, "Auto_Edit_F( \"" + Hole + "\", \"" + Data + "\", \"" + Technique + "\", " + Num2Str( V1 ) + ", " + Num2Str( V2 ) + " )"
			Smooth/M = ( NaN ) 30, DataDeSpk
		SetDataFolder root:
	EndMacro
	
