﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function Power_CsrA_CsrB( )
		SetDataFolder root:
			Variable/G G_Order
			String/G G_YorN
			Variable Order = G_Order
			String YorN = G_YorN
			Prompt YorN, "Do you want to use a fit line/curve and operate on a Residual?", popup, "Yes;No"
			Prompt Order, "Order of fit ( 2 = linear ):"
			DoPrompt "Power_CsrA_CsrB", YorN, Order; AbortOnValue V_Flag, 0
			G_YorN = YorN; G_Order = Order
			WAVE DataWv = CsrWaveRef( A )
			Duplicate/O/R = ( XCsr(A), XCsr( B ) ) DataWv SectionAB, SectionAB_Res
			If( StringMatch( YorN, "Yes" ) )
				If( Order == 2 )
					CurveFit/Q line SectionAB /R = SectionAB_Res /A=0 
				Else
					CurveFit/Q poly Order, SectionAB /R = SectionAB_Res /A=0 
				EndIf
				Duplicate/O SectionAB_Res SectionAB_4FFT
				WAVE W_Sigma, W_ParamConfidenceInterval, W_coef
				KillWaves/Z W_Sigma, W_ParamConfidenceInterval, W_coef
			Else 
				Duplicate/O SectionAB SectionAB_4FFT
			EndIf
//			Correlate/Auto SectionAB_4FFT, SectionAB_4FFT
			Hanning SectionAB_4FFT
			ReDimension/N = ( 4 * NumPnts( SectionAB ) ) SectionAB_4FFT		
			FFT/MAGS /DEST = A2BPower  SectionAB_4FFT
			Variable PowerMax = WaveMax( A2BPower )
			A2BPower /= PowerMax
			KillWaves/Z  SectionAB, SectionAB_Res, SectionAB_4FFT
	End
	
