﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	
	Function AppendImages( )
		SetDataFolder root:
			String/G G_Hole, G_New_or_App, G_Size, G_AgeYorN
			Variable/G G_AxisBottom, G_AxisTop
			String Image, Hole = G_Hole, Size = G_Size, Folder, S_Core, AgeYorN = G_AgeYorN
			String New_or_App = G_New_or_App, WvList
			Variable i = 0, AxisBottom = G_AxisBottom, AxisTop = G_AxisTop
			Prompt Hole, "Hole"
			Prompt Size, "Size ( S1, S2, S3....)"
			Prompt AxisTop, "Axis Portion Top (%):"
			Prompt AxisBottom, "Axis Portion Bottom (%):"
			Prompt New_or_App, "New Plot or Append?", popup, "New;Append"	
			Prompt AgeYorN, "Is this a plot versus Age or Depth?", popup, "Depth;Age"
			DoPrompt "Append_Core_Images", Hole, New_or_App, AxisBottom, AxisTop, Size, AgeYorN; 
			G_Hole = Hole; G_New_or_App = New_or_App; G_Size = Size; G_AgeYorN = AgeYorN
			AbortOnValue V_Flag, 0;
			If( !StrLen( FolderList( Hole + "_" + Size ) ) )
				ABORT "There is no image folder " + Hole + "_" + Size
			EndIf
			AppendImages_F( Hole, Size, AxisBottom, AxisTop, New_or_App, AgeYorN )	
			Print "	AppendImages_F( \"" + Hole + "\", \"" + Size + "\",", AxisBottom, ",", AxisTop, ",\"" + New_or_App + "\", \"" + AgeYorN + "\" )"
	End

--------------------------------------------------------------------------

	Function AppendImages_F( Hole, Size, AxisBottom, AxisTop, New_or_App, AgeYorN )
		String Hole, Size, New_or_APP, AgeYorN
		Variable AxisBottom, AxisTop
		SetDataFolder root:
			String/G G_Hole, G_New_or_App
			Variable/G G_AxisBottom, G_AxisTop
			String Image, Folder, S_Core, WvList
			Variable i = 0
			G_Hole = Hole; G_AxisBottom = AxisBottom; G_AxisTop = AxisTop; G_New_or_App = New_or_App
			If( Stringmatch( "New", New_or_App ) )
				Preferences 1
				Display/W=(570,49,2213,486) 
			ElseIf( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 )
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
		SetDataFolder $Hole + "_" + Size
			WvList = WaveList( "S*", ";", "DIMS:3" )
			For( i = 0; i < ItemsInList( WvList ); i += 1 )
				Image = StringFromList( i, WvList )
				AppendImage/L = $Hole/B = $AgeYorN + "Axis" $Image
			EndFor
			ModifyGraph freePos( $Hole ) = 0
			Label $Hole "\\Z12\\f01" + Hole
			ModifyGraph tick( $Hole )=3,noLabel( $Hole ) =1,lblPos( $Hole )=30
			ModifyGraph axisEnab( $Hole ) = { AxisBottom/100, AxisTop/100 }
			SetAxis/A/R $Hole
			ModifyGraph nticks($AgeYorN + "Axis")=10,minor($AgeYorN + "Axis")=1
			ModifyGraph freePos($AgeYorN + "Axis")=0
		SetDataFolder root:	
		Label DepthAxis "\\u#2"
	End

