﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function CoreImage_MultiPlot( )
		SetDataFolder root:
			String/G G_HoleList, G_New_or_App, G_YorN, G_XAxisName, G_Size
			String HoleList = G_HoleList, New_or_App = G_New_or_App, YorN = G_YorN
			String XAxisName = G_XAxisName, Size = G_Size
		 	Prompt HoleList, "List of Holes to plot, separated by semicolons with no blank spaces (U844A;U844B;...)"
			Prompt YorN, "Include spliced image or leave room for adding spliced image later?", popup, "Y;N"
			Prompt New_or_App, "New or Append:", popup, "New;Append"
			Prompt Size, "Size ( S1, S2, S3....)"
			Prompt XAxisName, "Is this a plot versus Age or Depth?", popup, "Depth;Age"			
			DoPrompt "CoreImage_MultiPlot", HoleList, Size, XAxisName, New_or_App, YorN
			G_HoleList = HoleList; G_New_or_App = New_or_App; G_YorN = YorN
			G_Size = Size; G_XAxisName = XAxisName
			AbortOnValue V_Flag, 0
			CoreImage_MultiPlot_F( HoleList, New_or_App, YorN )
			Print "CoreImage_MultiPlot_F( \"" + HoleList + "\", \"" + New_or_App + "\", \"" + YorN + "\" )"			
	End		
	
	Function CoreImage_MultiPlot_F( HoleList, New_or_App, YorN )
			String HoleList, New_or_App, YorN
			String Site = RemoveEnding( StringFromList( 0, HoleList ) )
			PauseUpdate
			CheckList4Semicolons( HoleList )
		SetDataFolder root:
			Variable i, HoleCount, DataWidth
			HoleCount = ItemsInList( HoleList )
			If( Stringmatch( YorN, "Y" ) )
				DataWidth = ( 100 / ( HoleCount + 1 ) )
			Else
				DataWidth = ( 100 / HoleCount )
			EndIf
			If( StringMatch( "New", New_or_App ) )
				Preferences 1
				Display
			EndIf
			For( i = 0; i < HoleCount; i += 1 )		
				AppendImages_F( StringFromList( i, HoleList ), "S2",  DataWidth * i , ( DataWidth * (i + 1) ) - 1 ,"Append", "Depth" )
			EndFor
			WAVE/Z SplImg = $Site + "_Splice"
			If( WaveExists( SplImg ) && StringMatch( YorN, "Y" ) )
				AppendImage/B = DepthAxis/L = SplAxis SplImg
				DataWidth /= 100
				ModifyGraph axisEnab(SplAxis)={ DataWidth * i , 1},freePos(SplAxis)=0
				Label  SplAxis " \\Z12\\f01"+ Site+"S"
				ModifyGraph tick( SplAxis ) = 3, noLabel( SplAxis ) = 1, lblPos( SplAxis ) = 30
			EndIf
//			ModifyGraph nticks(bottom)=10,minor(bottom)=1, mirror=2
			ShowInfo
	End	

	