﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	
	Menu "CODD_Functions"
		"ShortenSpeciesNames"
	End
	
	// This function depends on the data having the form "LO Pseudoemiliania lacunosa"
	// It finds the first blank and copies up to the next character after the blank.
	// It then finds the second blank and adds everything after to the name.
	
	
	Function ShortenSpeciesNames( )
		SetDataFolder root:
			String/G G_SpeciesWave, G_Folder
			String SpeciesWave = G_SpeciesWave, Folder = G_Folder
			Variable i, j = 0, k
			KillWaves/Z NewNames
			Make/T/O/N = 0 NewNames
			Prompt Folder, "Data Folder", popup, "root:;" + SortList( FolderList( "*" ) )
			DoPrompt "ShortenSpeciesNames", Folder
			G_Folder = Folder; AbortOnValue V_Flag, 0
		SetDataFolder Folder
			Prompt SpeciesWave, "SpeciesWave", popup, SortList( WaveList( "*", ";", "" ) )
			DoPrompt "ShortenSpeciesNames", SpeciesWave
			G_SpeciesWave = SpeciesWave; AbortOnValue V_Flag, 0
			WAVE/T Species = $SpeciesWave
			Duplicate/T/O Species NewNames
			For( i = 0; i < NumPnts( Species ); i += 1 )
				String Name = Species[ i ]
				j = StrSearch( Name, " ", 0 )
				k = StrSearch( Name, " ", j + 1 )
				String NewName = Name[ 0, j + 1 ] + Name[ k, inf ]
				NewNames[ i ] = NewName				
			EndFor	
		SetDataFolder root:	
	End
			
			