#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function Site_2_Site_Tie_Vals( )
		SetDataFolder root:
			String/G G_BaseSite, G_StretchSite
			String Technique, Data
			WAVE StretchTies, BaseTies
		SetDataFolder :Xtras
			String ValList = WaveList( "Stretch*_Val", ";", "" )	
		SetDataFolder root:		
			Variable i = 0
			For( i = 0; i < ItemsInList( ValList )	; i += 1 )
				Data = DataWaveTechnique( StringFromList( i, ValList ) )
				Technique = Find_Technique( Data )
			SetDataFolder $"root:" + G_StretchSite + "_" + Technique	
				WAVE StrSiteCCSF = $G_StretchSite + "S_" + Technique + "_CCSF"
				WAVE StrData = $G_StretchSite + "S_" + Technique + "_" + Data
			SetDataFolder $"root:" + G_BaseSite + "_" + Technique	
				WAVE BaseSiteCCSF = $G_BaseSite + "S_" + Technique + "_CCSF"
				WAVE BaseSiteData = $G_BaseSite + "S_" + Technique + "_" + Data
			SetDataFolder root:Xtras:
				WAVE StretchVal = $"Stretch_" + Data + "_Val"
				WAVE BaseVal = $"Base_" + Data + "_Val"
				Duplicate/O StretchTies StretchVal
				StretchVal  = interp( StretchTies, StrSiteCCSF, StrData )
				Duplicate/O StretchTies BaseVal
				BaseVal  = interp( BaseTies, BaseSiteCCSF, BaseSiteData )
			EndFor		
		SetDataFolder root:	
	End
	
	-------------------------------------------------------------------------------
	
	Function/S Find_Technique( Data )
		String Data
		DFREF sDFR = GetDataFolderDFR( )
		String FldrList
		SetDataFolder root:
			FldrList = FolderList( "*" )
			Variable i = 0
			String Folder, WList
			For( i = 0; i < ItemsInList( FldrList ); i += 1 )
				Folder = StringFromList( i, FldrList )
				If( ( StrSearch( Folder, "tras" , 0, 2 ) + 1 ) || ( StrSearch( Folder, "Results" , 0, 2 ) + 1 ) )
				Else
					SetDataFolder $"root:" + Folder
					WList = WaveList( "*" + Data + "*", ";", "" )
					If( StrLen( WList ) )
						Return DataWaveTechnique( StringFromList( 0, WList ) )
					EndIf
				EndIf
			EndFor	
		SetDataFolder sDFR
	End
	
	

//	Function Site_2_Site_Tie_Vals( )
		SetDataFolder root:
			String/G G_BaseSite, G_StretchSite
			String Technique, Data
			WAVE StretchTies, BaseTies
		SetDataFolder :Xtras
			String ValList = WaveList( "Stretch*_Val", ";", "" )	
		SetDataFolder root:		
			Variable i = 0
			For( i = 0; i < ItemsInList( ValList )	; i += 1 )
				Data = DataWaveTechnique( StringFromList( i, ValList ) )
				Technique = Find_Technique( Data )
			SetDataFolder $"root:" + G_StretchSite + "_" + Technique	
				WAVE StrSiteCCSF = $G_StretchSite + "_Splice_" + Technique + "_CCSF"
				WAVE StrData = $G_StretchSite + "_Splice_" + Technique + "_" + Data
			SetDataFolder $"root:" + G_BaseSite + "_" + Technique	
				WAVE BaseSiteCCSF = $G_BaseSite + "_Splice_" + Technique + "_CCSF"
				WAVE BaseSiteData = $G_BaseSite + "_Splice_" + Technique + "_" + Data
			SetDataFolder root:Xtras:
				WAVE StretchVal = $"Stretch_" + Data + "_Val"
				WAVE BaseVal = $"Base_" + Data + "_Val"
				Duplicate/O StretchTies StretchVal
				StretchVal  = interp( StretchTies, StrSiteCCSF, StrData )
				Duplicate/O StretchTies BaseVal
				BaseVal  = interp( BaseTies, BaseSiteCCSF, BaseSiteData )
			EndFor		
		SetDataFolder root:	
	End
	
	