#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	
	
	Function Make_SinWave( )
		Variable Period, Length, Start, Phase
		Prompt Period, "Period e.g. .105, .95, .041"
		Prompt Length, "Length in Ma"
		Prompt Start, "Start Age ( Ma )"
		Prompt Phase, "Phase Offset ( Ma )"
		DoPrompt "Make_SinWave" Period, Length, Start, Phase
		Make_SinWave_F( Period, Length, Start, Phase )
		Print "Make_SinWave_F( " + Num2Str(Period) + "," + Num2Str(Length) + "," + Num2Str(Start) + "," + Num2Str(Phase) + " )"
	End
	
	Function Make_SinWave_F( Period, Length, Start, Phase )
		Variable Period, Length, Start, Phase
		Make/O/N = ( ( Length * 1000 ) + 1 ) SinWave
		SetScale/P X Start, .001, SinWave
		SinWave = Sin( ( ( 2 * pi * X ) + Phase ) / Period )	
	End
